/*
 * OpenAPI definition
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


package uk.co.beacon.customerservice.client.model;

import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.IOException;
import java.util.UUID;
import uk.co.beacon.customerservice.client.model.Vehicle;
import org.junit.jupiter.api.Disabled;
import org.junit.jupiter.api.Test;


/**
 * Model tests for TransportRequestBody
 */
public class TransportRequestBodyTest {
    private final TransportRequestBody model = new TransportRequestBody();

    /**
     * Model tests for TransportRequestBody
     */
    @Test
    public void testTransportRequestBody() {
        // TODO: test TransportRequestBody
    }

    /**
     * Test the property 'id'
     */
    @Test
    public void idTest() {
        // TODO: test id
    }

    /**
     * Test the property 'vehicle'
     */
    @Test
    public void vehicleTest() {
        // TODO: test vehicle
    }

    /**
     * Test the property 'mode'
     */
    @Test
    public void modeTest() {
        // TODO: test mode
    }

    /**
     * Test the property 'arrivalPortCallId'
     */
    @Test
    public void arrivalPortCallIdTest() {
        // TODO: test arrivalPortCallId
    }

    /**
     * Test the property 'destinationPortCallId'
     */
    @Test
    public void destinationPortCallIdTest() {
        // TODO: test destinationPortCallId
    }

}
